import { StoreAPI } from './useStore.js';
import { NostrStore } from '../schema/types.js';
export declare function useLogin({ store, setError, update }: StoreAPI<NostrStore>): {
    login: {
        withExt: () => Promise<void>;
        withPubKey: (pubkey: string) => void;
        withSecKey: (seckey: string) => void;
        generateKey: () => void;
    };
    logout: () => void;
};
//# sourceMappingURL=useLogin.d.ts.map